Freeciv-3.2: Data Fields - Variables

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - g -

- g : color, rgbacolor, rgbcolor
- gained : packet_achievement_info
- gained_control : ai_type
- game : packetdata, player_score
- game_free : ai_type
- game_identifier : civserver
- game_main_widget : fc_client
- game_setdef : setting
- game_start : ai_type
- game_tab_widget : fc_client
- game_value : setting
- gameloss_style : packet_game_info
- gen_stats : generate_packets.ScriptConfig
- generated : extra_type, packet_ruleset_extra
- generator : civ_map
- genus : impr_type, packet_ruleset_building
- genus_button : edit_impr
- get : iterator, option
- get_action : pf_parameter
- get_costs : pf_parameter
- get_current_client_page : gui_funcs
- get_EC : pf_parameter
- get_gui_specific_themes_directories : gui_funcs
- get_gui_type : gui_funcs
- get_MC : pf_parameter
- get_move_cost : pf_map
- get_move_scope : pf_parameter
- get_moves_left_req : pf_parameter
- get_path : pf_map
- get_position : pf_map
- get_sprite_dimensions : gui_funcs
- get_TB : pf_parameter
- get_text_size : gui_funcs
- get_useable_themes_in_directory : gui_funcs
- get_value : dem_row
- get_volume : audio_plugin
- get_zoc : pf_parameter
- gfx : widget
- gfx_tag : edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype
- gfx_tag_alt : edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype
- gfx_tag_alt2 : edit_impr, edit_terrain, edit_utype
- given_name : tileset
- giver : city_deal, packet_diplomacy_create_clause, packet_diplomacy_create_clause_req, packet_diplomacy_remove_clause, packet_diplomacy_remove_clause_req
- giver_reqs : clause_info, packet_ruleset_clause
- giver_reqs_count : packet_ruleset_clause
- gives_shared_tiles : packet_player_info, player
- gives_shared_vision : packet_player_info, player
- glob_observers : civ_game
- global : wl_editor
- global_advance_count : packet_game_info
- global_advances : packet_game_info
- global_init_buildings : civ_game, packet_ruleset_game
- global_init_buildings_count : packet_ruleset_game
- global_init_techs : civ_game, packet_ruleset_game
- global_init_techs_count : packet_ruleset_game
- global_warming : civ_game, packet_game_info
- global_warming_percent : civ_game
- global_worklist_id : wl_editor, worklist_data
- globalwarming : packet_game_info
- go_to : named_sprites
- goal : adv_data
- goal_combo : science_report
- goal_label : science_report
- goal_list : science_report
- gold : packet_edit_player, packet_game_info, packet_player_info, player_economic, sell_data
- gold_needed : ane_expl
- gold_priority : adv_data
- gold_upkeep : unittype_item
- gold_upkeep_style : packet_game_info
- good : ruledit_gui, universals_u
- good_list : tab_good
- goodies : islands_data_type
- goods : packet_trade_route_info, trade_route
- goods_selection : packet_game_info
- goto_but : notify_goto
- goto_city : goto_dialog
- goto_into_unknown : client_options
- goto_tab : goto_dialog
- goto_tile : packet_unit_info, unit
- gov : adv_data, packet_ruleset_government_ruler_title, ruledit_gui
- gov_list : tab_gov
- gov_max : rates_move
- gov_value : ai_type
- govern : universals_u
- government : named_sprites, packet_edit_player, packet_player_change_government, packet_player_info, player
- government_count : packet_ruleset_control
- government_during_revolution : civ_game
- government_during_revolution_id : packet_game_info
- government_want : adv_data
- govs : cur_govs_data
- govt : adv_data
- govt_reeval : adv_data
- granary_food_inc : packet_game_info
- granary_food_ini : packet_game_info
- granary_num_inis : packet_game_info
- granary_size : packet_web_city_info_addition
- granary_turns : packet_web_city_info_addition
- granted_access_level : connection
- granularity : packet_game_info
- graphic : citystyle, named_sprites, packet_ruleset_city
- graphic_alt : advance, citystyle, extra_type, government, impr_type, packet_ruleset_building, packet_ruleset_city, packet_ruleset_extra, packet_ruleset_government, packet_ruleset_nation, packet_ruleset_specialist, packet_ruleset_tech, packet_ruleset_terrain, packet_ruleset_unit, specialist, terrain, unit_type
- graphic_alt2 : impr_type, packet_ruleset_building, packet_ruleset_terrain, packet_ruleset_unit, terrain, unit_type
- graphic_str : advance, extra_type, government, impr_type, packet_ruleset_building, packet_ruleset_extra, packet_ruleset_government, packet_ruleset_nation, packet_ruleset_specialist, packet_ruleset_tech, packet_ruleset_terrain, packet_ruleset_unit, specialist, terrain, unit_type
- grave_danger : ai_city
- great_wonder_owners : packet_game_info
- greater_values_are_better : dem_row
- grid : gui_dialog, named_sprites
- grid_borders : named_sprites
- group : worklist_data
- grouping : menu_entry_info
- groups : nation_type, packet_ruleset_nation, packet_ruleset_nation_groups
- growth_button : cma_dialog
- gt_marking : entry
- gtd : fc_client
- gtile : notify_goto
- gui : mpqt_worker, packet_client_info, sdl2_data, sdl3_data
- gui_button : gui_dialog
- gui_clear_theme : gui_funcs
- gui_color_free : functions
- gui_data : option
- gui_gtk2_allied_chat_only : client_options
- gui_gtk2_better_fog : client_options
- gui_gtk2_chatline_autocompletion : client_options
- gui_gtk2_citydlg_xsize : client_options
- gui_gtk2_citydlg_ysize : client_options
- gui_gtk2_dialogs_on_top : client_options
- gui_gtk2_enable_tabs : client_options
- gui_gtk2_font_beta_label : client_options
- gui_gtk2_font_chatline : client_options
- gui_gtk2_font_city_label : client_options
- gui_gtk2_font_city_names : client_options
- gui_gtk2_font_city_productions : client_options
- gui_gtk2_font_comment_label : client_options
- gui_gtk2_font_help_label : client_options
- gui_gtk2_font_help_link : client_options
- gui_gtk2_font_help_text : client_options
- gui_gtk2_font_notify_label : client_options
- gui_gtk2_font_reqtree_text : client_options
- gui_gtk2_font_small : client_options
- gui_gtk2_font_spaceship_label : client_options
- gui_gtk2_map_scrollbars : client_options
- gui_gtk2_metaserver_tab_first : client_options
- gui_gtk2_migrated_from_2_5 : client_options
- gui_gtk2_mouse_over_map_focus : client_options
- gui_gtk2_new_messages_go_to_top : client_options
- gui_gtk2_popup_tech_help : client_options
- gui_gtk2_show_chat_message_time : client_options
- gui_gtk2_show_message_window_buttons : client_options
- gui_gtk2_show_task_icons : client_options
- gui_gtk3_22_allied_chat_only : client_options
- gui_gtk3_22_chatline_autocompletion : client_options
- gui_gtk3_22_citydlg_xsize : client_options
- gui_gtk3_22_citydlg_ysize : client_options
- gui_gtk3_22_default_theme_name : client_options
- gui_gtk3_22_dialogs_on_top : client_options
- gui_gtk3_22_enable_tabs : client_options
- gui_gtk3_22_font_beta_label : client_options
- gui_gtk3_22_font_chatline : client_options
- gui_gtk3_22_font_city_label : client_options
- gui_gtk3_22_font_city_names : client_options
- gui_gtk3_22_font_city_productions : client_options
- gui_gtk3_22_font_comment_label : client_options
- gui_gtk3_22_font_help_label : client_options
- gui_gtk3_22_font_help_link : client_options
- gui_gtk3_22_font_help_text : client_options
- gui_gtk3_22_font_notify_label : client_options
- gui_gtk3_22_font_reqtree_text : client_options
- gui_gtk3_22_font_small : client_options
- gui_gtk3_22_font_spaceship_label : client_options
- gui_gtk3_22_fullscreen : client_options
- gui_gtk3_22_governor_range_max : client_options
- gui_gtk3_22_governor_range_min : client_options
- gui_gtk3_22_map_scrollbars : client_options
- gui_gtk3_22_message_chat_location : client_options
- gui_gtk3_22_metaserver_tab_first : client_options
- gui_gtk3_22_migrated_from_gtk3 : client_options
- gui_gtk3_22_mouse_over_map_focus : client_options
- gui_gtk3_22_new_messages_go_to_top : client_options
- gui_gtk3_22_popup_tech_help : client_options
- gui_gtk3_22_show_chat_message_time : client_options
- gui_gtk3_22_show_message_window_buttons : client_options
- gui_gtk3_22_show_task_icons : client_options
- gui_gtk3_22_small_display_layout : client_options
- gui_gtk3_allied_chat_only : client_options
- gui_gtk3_chatline_autocompletion : client_options
- gui_gtk3_citydlg_xsize : client_options
- gui_gtk3_citydlg_ysize : client_options
- gui_gtk3_dialogs_on_top : client_options
- gui_gtk3_enable_tabs : client_options
- gui_gtk3_font_beta_label : client_options
- gui_gtk3_font_chatline : client_options
- gui_gtk3_font_city_label : client_options
- gui_gtk3_font_city_names : client_options
- gui_gtk3_font_city_productions : client_options
- gui_gtk3_font_comment_label : client_options
- gui_gtk3_font_help_label : client_options
- gui_gtk3_font_help_link : client_options
- gui_gtk3_font_help_text : client_options
- gui_gtk3_font_notify_label : client_options
- gui_gtk3_font_reqtree_text : client_options
- gui_gtk3_font_small : client_options
- gui_gtk3_font_spaceship_label : client_options
- gui_gtk3_fullscreen : client_options
- gui_gtk3_governor_range_max : client_options
- gui_gtk3_governor_range_min : client_options
- gui_gtk3_map_scrollbars : client_options
- gui_gtk3_message_chat_location : client_options
- gui_gtk3_metaserver_tab_first : client_options
- gui_gtk3_migrated_from_2_5 : client_options
- gui_gtk3_migrated_from_gtk2 : client_options
- gui_gtk3_mouse_over_map_focus : client_options
- gui_gtk3_new_messages_go_to_top : client_options
- gui_gtk3_popup_tech_help : client_options
- gui_gtk3_show_chat_message_time : client_options
- gui_gtk3_show_message_window_buttons : client_options
- gui_gtk3_show_task_icons : client_options
- gui_gtk3_small_display_layout : client_options
- gui_gtk4_allied_chat_only : client_options
- gui_gtk4_chatline_autocompletion : client_options
- gui_gtk4_citydlg_xsize : client_options
- gui_gtk4_citydlg_ysize : client_options
- gui_gtk4_default_theme_name : client_options
- gui_gtk4_dialogs_on_top : client_options
- gui_gtk4_enable_tabs : client_options
- gui_gtk4_font_beta_label : client_options
- gui_gtk4_font_chatline : client_options
- gui_gtk4_font_city_label : client_options
- gui_gtk4_font_city_names : client_options
- gui_gtk4_font_city_productions : client_options
- gui_gtk4_font_comment_label : client_options
- gui_gtk4_font_help_label : client_options
- gui_gtk4_font_help_link : client_options
- gui_gtk4_font_help_text : client_options
- gui_gtk4_font_notify_label : client_options
- gui_gtk4_font_reqtree_text : client_options
- gui_gtk4_font_small : client_options
- gui_gtk4_font_spaceship_label : client_options
- gui_gtk4_fullscreen : client_options
- gui_gtk4_governor_range_max : client_options
- gui_gtk4_governor_range_min : client_options
- gui_gtk4_map_scrollbars : client_options
- gui_gtk4_message_chat_location : client_options
- gui_gtk4_metaserver_tab_first : client_options
- gui_gtk4_migrated_from_gtk3_22 : client_options
- gui_gtk4_mouse_over_map_focus : client_options
- gui_gtk4_new_messages_go_to_top : client_options
- gui_gtk4_popup_tech_help : client_options
- gui_gtk4_show_chat_message_time : client_options
- gui_gtk4_show_message_window_buttons : client_options
- gui_gtk4_show_task_icons : client_options
- gui_gtk4_small_display_layout : client_options
- gui_init_meeting : gui_funcs
- gui_load_theme : gui_funcs
- gui_prepare_clause_updt : gui_funcs
- gui_qt_allied_chat_only : client_options
- gui_qt_default_fonts_set : client_options
- gui_qt_default_theme_name : client_options
- gui_qt_font_chatline : client_options
- gui_qt_font_city_names : client_options
- gui_qt_font_city_productions : client_options
- gui_qt_font_default : client_options
- gui_qt_font_help_label : client_options
- gui_qt_font_help_text : client_options
- gui_qt_font_notify_label : client_options
- gui_qt_font_reqtree_text : client_options
- gui_qt_fullscreen : client_options
- gui_qt_migrated_from_2_5 : client_options
- gui_qt_show_preview : client_options
- gui_qt_show_relations_panel : client_options
- gui_qt_show_techs_panel : client_options
- gui_qt_show_titlebar : client_options
- gui_qt_show_wonders_panel : client_options
- gui_qt_sidebar_left : client_options
- gui_qt_svgflags : client_options
- gui_qt_wakeup_text : client_options
- gui_recv_accept_treaty : gui_funcs
- gui_recv_cancel_meeting : gui_funcs
- gui_recv_create_clause : gui_funcs
- gui_recv_remove_clause : gui_funcs
- gui_sdl2_default_screen_size_set : client_options
- gui_sdl2_default_theme_name : client_options
- gui_sdl2_do_cursor_animation : client_options
- gui_sdl2_font_city_names : client_options
- gui_sdl2_font_city_productions : client_options
- gui_sdl2_font_size : client_options
- gui_sdl2_fullscreen : client_options
- gui_sdl2_migrated_from_sdl : client_options
- gui_sdl2_screen : client_options
- gui_sdl2_swrenderer : client_options
- gui_sdl2_use_color_cursors : client_options
- gui_sdl2_use_theme_font_size : client_options
- gui_sdl3_default_screen_size_set : client_options
- gui_sdl3_default_theme_name : client_options
- gui_sdl3_do_cursor_animation : client_options
- gui_sdl3_font_city_names : client_options
- gui_sdl3_font_city_productions : client_options
- gui_sdl3_font_size : client_options
- gui_sdl3_fullscreen : client_options
- gui_sdl3_migrated_from_sdl2 : client_options
- gui_sdl3_screen : client_options
- gui_sdl3_swrenderer : client_options
- gui_sdl3_use_color_cursors : client_options
- gui_sdl3_use_theme_font_size : client_options
- gui_sdl_do_cursor_animation : client_options
- gui_sdl_fullscreen : client_options
- gui_sdl_screen : client_options
- gui_sdl_use_color_cursors : client_options
- gui_type : base_type, packet_ruleset_base, packet_ruleset_road, road_type
- gui_type_base0 : packet_ruleset_terrain_control
- gui_type_base1 : packet_ruleset_terrain_control
- gui_update_font : gui_funcs
- gui_x0 : view
- gui_y0 : view
- guis : sdl2_data, sdl3_data
- guis_count : sdl2_data, sdl3_data